Modify a volume member's permissions

This call modifies the permissions for a member of a specific volume. The volume is specified as volume_id and consists of the owner and name of a volume (for example rfranklin/my-first-volume).

Note that this does not overwrite all previously set permissions for the member. Refer to the request to overwrite a volume members' permissions to overwrite rather than update permissions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

If you are using Seven Bridges Platform EU, please use the following endpoint: https://eu-api.sbgenomics.com/v2/storage/volumes/{volume_owner}/{volume_name}/members/USERNAME/permissions

Example request body

{
  "admin": true
}

Response

See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response.

Interpreting the response body

Volume members have the following permissions:

KeyData typeDescription
readStringSet this to true to grant read permissions or false to remove them. read permissions allow a volume member to browse the contents of the volume.
copyStringSet this to true to grant copy permissions or false to remove them. copy permissions allow a volume member to import the contents of the volume to the Platform.
writeStringSet this to true to grant write permissions or false to remove them. write permissions allow a volume member to export files from the Platform to the volume.
adminStringSet this to true to grant admin permissions or false to remove them.
Path Params
string
required

The username of the volume owner.

string
required

The name of the volume you want to query.

string
required

Enter the username of the collaborator whose permissions you'd like to modify.

Body Params
RAW_BODY
object
Headers
string
required

Your Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json